public inbox for linux-kernel@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/1] perf test code_with_type.sh: Skip test if rust wasn't available at build time
@ 2026-02-09 18:48 Arnaldo Carvalho de Melo
  2026-02-10  1:24 ` Namhyung Kim
  0 siblings, 1 reply; 3+ messages in thread
From: Arnaldo Carvalho de Melo @ 2026-02-09 18:48 UTC (permalink / raw)
  To: Dmitrii Dolgov
  Cc: Adrian Hunter, Ian Rogers, James Clark, Jiri Olsa, Namhyung Kim,
	Linux Kernel Mailing List, linux-perf-users

  $ perf test 'perf data type profiling tests'
   83: perf data type profiling tests                         : Skip
  $ perf test -vv 'perf data type profiling tests'
   83: perf data type profiling tests:
  --- start ---
  test child forked, pid 977213
  Skip: code_with_type workload not built in 'perf test'
  ---- end(-2) ----
   83: perf data type profiling tests                         : Skip
  $

Cc: Dmitrii Dolgov <9erthalion6@gmail.com>
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
---
 tools/perf/tests/shell/data_type_profiling.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tools/perf/tests/shell/data_type_profiling.sh b/tools/perf/tests/shell/data_type_profiling.sh
index a230f5d4c42c3e6a..3ef72a10850d0734 100755
--- a/tools/perf/tests/shell/data_type_profiling.sh
+++ b/tools/perf/tests/shell/data_type_profiling.sh
@@ -4,6 +4,11 @@
 
 set -e
 
+if ! perf test --list-workloads | grep -qw code_with_type ; then
+	echo "Skip: code_with_type workload not built in 'perf test'"
+	exit 2
+fi
+
 # The logic below follows the same line as the annotate test, but looks for a
 # data type profiling manifestation
 
-- 
2.53.0


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [PATCH 1/1] perf test code_with_type.sh: Skip test if rust wasn't available at build time
  2026-02-09 18:48 [PATCH 1/1] perf test code_with_type.sh: Skip test if rust wasn't available at build time Arnaldo Carvalho de Melo
@ 2026-02-10  1:24 ` Namhyung Kim
  2026-02-11 12:25   ` Arnaldo Carvalho de Melo
  0 siblings, 1 reply; 3+ messages in thread
From: Namhyung Kim @ 2026-02-10  1:24 UTC (permalink / raw)
  To: Arnaldo Carvalho de Melo
  Cc: Dmitrii Dolgov, Adrian Hunter, Ian Rogers, James Clark, Jiri Olsa,
	Linux Kernel Mailing List, linux-perf-users

On Mon, Feb 09, 2026 at 03:48:27PM -0300, Arnaldo Carvalho de Melo wrote:
>   $ perf test 'perf data type profiling tests'
>    83: perf data type profiling tests                         : Skip
>   $ perf test -vv 'perf data type profiling tests'
>    83: perf data type profiling tests:
>   --- start ---
>   test child forked, pid 977213
>   Skip: code_with_type workload not built in 'perf test'
>   ---- end(-2) ----
>    83: perf data type profiling tests                         : Skip
>   $
> 
> Cc: Dmitrii Dolgov <9erthalion6@gmail.com>
> Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
> ---
>  tools/perf/tests/shell/data_type_profiling.sh | 5 +++++
>  1 file changed, 5 insertions(+)
> 
> diff --git a/tools/perf/tests/shell/data_type_profiling.sh b/tools/perf/tests/shell/data_type_profiling.sh
> index a230f5d4c42c3e6a..3ef72a10850d0734 100755
> --- a/tools/perf/tests/shell/data_type_profiling.sh
> +++ b/tools/perf/tests/shell/data_type_profiling.sh
> @@ -4,6 +4,11 @@
>  
>  set -e
>  
> +if ! perf test --list-workloads | grep -qw code_with_type ; then

It could be 'perf check feature -q rust'.

But IIUC this test also covers C code.  We may want to skip Rust parts
only.

Thanks,
Namhyung


> +	echo "Skip: code_with_type workload not built in 'perf test'"
> +	exit 2
> +fi
> +
>  # The logic below follows the same line as the annotate test, but looks for a
>  # data type profiling manifestation
>  
> -- 
> 2.53.0
> 

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PATCH 1/1] perf test code_with_type.sh: Skip test if rust wasn't available at build time
  2026-02-10  1:24 ` Namhyung Kim
@ 2026-02-11 12:25   ` Arnaldo Carvalho de Melo
  0 siblings, 0 replies; 3+ messages in thread
From: Arnaldo Carvalho de Melo @ 2026-02-11 12:25 UTC (permalink / raw)
  To: Namhyung Kim
  Cc: Dmitrii Dolgov, Adrian Hunter, Ian Rogers, James Clark, Jiri Olsa,
	Linux Kernel Mailing List, linux-perf-users

On Mon, Feb 09, 2026 at 05:24:03PM -0800, Namhyung Kim wrote:
> On Mon, Feb 09, 2026 at 03:48:27PM -0300, Arnaldo Carvalho de Melo wrote:
> >   $ perf test 'perf data type profiling tests'
> >    83: perf data type profiling tests                         : Skip
> >   $ perf test -vv 'perf data type profiling tests'
> >    83: perf data type profiling tests:
> >   --- start ---
> >   test child forked, pid 977213
> >   Skip: code_with_type workload not built in 'perf test'
> >   ---- end(-2) ----
> >    83: perf data type profiling tests                         : Skip
> >   $
> > 
> > Cc: Dmitrii Dolgov <9erthalion6@gmail.com>
> > Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
> > ---
> >  tools/perf/tests/shell/data_type_profiling.sh | 5 +++++
> >  1 file changed, 5 insertions(+)
> > 
> > diff --git a/tools/perf/tests/shell/data_type_profiling.sh b/tools/perf/tests/shell/data_type_profiling.sh
> > index a230f5d4c42c3e6a..3ef72a10850d0734 100755
> > --- a/tools/perf/tests/shell/data_type_profiling.sh
> > +++ b/tools/perf/tests/shell/data_type_profiling.sh
> > @@ -4,6 +4,11 @@
> >  
> >  set -e
> >  
> > +if ! perf test --list-workloads | grep -qw code_with_type ; then
> 
> It could be 'perf check feature -q rust'.

Right, better, more compact and using something that was designed for
that...
 
> But IIUC this test also covers C code.  We may want to skip Rust parts
> only.

I'll cook up a patch implementing your suggestions.

- Arnaldo

> Thanks,
> Namhyung
> 
> 
> > +	echo "Skip: code_with_type workload not built in 'perf test'"
> > +	exit 2
> > +fi
> > +
> >  # The logic below follows the same line as the annotate test, but looks for a
> >  # data type profiling manifestation
> >  
> > -- 
> > 2.53.0
> > 

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2026-02-11 12:26 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2026-02-09 18:48 [PATCH 1/1] perf test code_with_type.sh: Skip test if rust wasn't available at build time Arnaldo Carvalho de Melo
2026-02-10  1:24 ` Namhyung Kim
2026-02-11 12:25   ` Arnaldo Carvalho de Melo

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox